# -*- encoding: utf-8 -*-
# stub: fog-atmos 0.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "fog-atmos"
  s.version = "0.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Paulo Henrique Lopes Ribeiro"]
  s.date = "2016-03-16"
  s.description = "This library can be used as a module for `fog` or as standalone provider\n                        to use the Atmos in applications."
  s.email = ["plribeiro3000@gmail.com"]
  s.files = ["Gemfile", "LICENSE.md", "README.md", "Rakefile", "fog-atmos.gemspec", "lib/fog/atmos.rb", "lib/fog/atmos/storage.rb", "lib/fog/atmos/version.rb", "lib/fog/bin/atmos.rb", "lib/fog/storage/atmos.rb", "lib/fog/storage/atmos/models/directories.rb", "lib/fog/storage/atmos/models/directory.rb", "lib/fog/storage/atmos/models/file.rb", "lib/fog/storage/atmos/models/files.rb", "lib/fog/storage/atmos/requests/delete_namespace.rb", "lib/fog/storage/atmos/requests/get_namespace.rb", "lib/fog/storage/atmos/requests/head_namespace.rb", "lib/fog/storage/atmos/requests/post_namespace.rb", "lib/fog/storage/atmos/requests/put_namespace.rb", "tests/helper.rb", "tests/helpers/collection_helper.rb", "tests/helpers/compute/flavors_helper.rb", "tests/helpers/compute/server_helper.rb", "tests/helpers/compute/servers_helper.rb", "tests/helpers/formats_helper.rb", "tests/helpers/formats_helper_tests.rb", "tests/helpers/mock_helper.rb", "tests/helpers/model_helper.rb", "tests/helpers/responds_to_helper.rb", "tests/helpers/schema_validator_tests.rb", "tests/helpers/succeeds_helper.rb", "tests/models/storage/file_update_tests.rb", "tests/models/storage/nested_directories_tests.rb"]
  s.homepage = ""
  s.licenses = ["MIT"]
  s.rubygems_version = "2.5.1"
  s.summary = "Module for the 'fog' gem to support Atmos."

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<fog-core>, [">= 0"])
      s.add_runtime_dependency(%q<fog-xml>, [">= 0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<minitest>, [">= 0"])
      s.add_development_dependency(%q<shindo>, [">= 0"])
      s.add_development_dependency(%q<turn>, [">= 0"])
      s.add_development_dependency(%q<pry>, [">= 0"])
      s.add_development_dependency(%q<coveralls>, [">= 0"])
      s.add_development_dependency(%q<rubocop>, [">= 0"])
    else
      s.add_dependency(%q<fog-core>, [">= 0"])
      s.add_dependency(%q<fog-xml>, [">= 0"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<minitest>, [">= 0"])
      s.add_dependency(%q<shindo>, [">= 0"])
      s.add_dependency(%q<turn>, [">= 0"])
      s.add_dependency(%q<pry>, [">= 0"])
      s.add_dependency(%q<coveralls>, [">= 0"])
      s.add_dependency(%q<rubocop>, [">= 0"])
    end
  else
    s.add_dependency(%q<fog-core>, [">= 0"])
    s.add_dependency(%q<fog-xml>, [">= 0"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<minitest>, [">= 0"])
    s.add_dependency(%q<shindo>, [">= 0"])
    s.add_dependency(%q<turn>, [">= 0"])
    s.add_dependency(%q<pry>, [">= 0"])
    s.add_dependency(%q<coveralls>, [">= 0"])
    s.add_dependency(%q<rubocop>, [">= 0"])
  end
end
